export declare class MReportSummaryTitle {
    titleIcon: string;
    titleText: string;
    notificationIcon?: string;
    notificationIconBgColor?: string;
}
export declare class MTab {
    title: string;
    content: MReportInformation;
    active: boolean;
    constructor(title: string, content: MReportInformation, active?: boolean);
}
export declare class MReportSummaryInfoEntry {
    infoText: string;
    infoValue: any;
    infoType: string;
    config?: any;
}
export declare class MReportSummaryContent {
    infoEntries: Array<MReportSummaryInfoEntry>;
}
export declare class MReportSummaryCard {
    identifier: string;
    reportSummaryTitle: MReportSummaryTitle;
    reportSummaryDescription: string;
    reportSummaryDescriptionShort: string;
    reportSummaryContent: MReportSummaryContent;
    hasWarning?: boolean;
    severity?: number;
}
export declare class MProgressMeter {
    headerText: string;
    value: number;
    bgColor: string;
    footerText: string;
    width: number;
    constructor(headerText: string, value: number, bgColor: string, footerText: string, width: number);
}
/** Bottom Section */
export declare class MGithub {
    contributors: number;
    forks: number;
    depRepos: number;
    stars: number;
    usage: number;
    users: Array<any>;
    constructor(contributors: number, forks: number, depRepos: number, stars: number, usage: number, users: Array<any>);
}
export declare class MOsio {
    usage: number;
    constructor(usage?: number);
}
export declare class MCrowdSourcing {
    tags: Array<string>;
    canSuggestTags: boolean;
    constructor(tags: Array<string>, canSuggestTags?: boolean);
}
export declare class MSecurityIssue {
    cvss: string;
    cve: string;
    constructor(cvss: string, cve: string);
}
export declare class MSecurityDetails {
    highestIssue: MSecurityIssue;
    progressReport: MProgressMeter;
    totalIssues: number;
    constructor(highestIssue?: MSecurityIssue, progressReport?: MProgressMeter, totalIssues?: number);
}
export declare class MLicenseInformation {
    licenses: Array<string>;
    unknownLicenses: Array<string>;
    hasLicenseIssue: boolean;
    licensesAffected: Array<MLicensesAffected>;
    constructor(licenses: Array<string>, unknownLicenses: Array<string>, hasLicenseIssue: boolean, licensesAffected?: Array<MLicensesAffected>);
}
export declare class MWorkItem {
    isWorkItemCreated: boolean;
    url?: string;
    constructor(isWorkItemCreated?: boolean, url?: string);
}
export declare class MComponentInformation {
    name: string;
    currentVersion: string;
    latestVersion: string;
    securityDetails: MSecurityDetails;
    hasSecurityIssue: boolean;
    isUsageOutlier: boolean;
    hasLicenseIssue: boolean;
    licenses: Array<string>;
    crowdSourcing: MCrowdSourcing;
    github: MGithub;
    osio: MOsio;
    action: string;
    needsExpansion: boolean;
    recommendation: MRecommendationInformation;
    isOpen: boolean;
    licenseInformation: MLicenseInformation;
    ecosystem: string;
    manifestFilePath?: string;
    workItem: MWorkItem;
    constructor(name: string, currentVersion: string, latestVersion: string, securityDetails: MSecurityDetails, hasSecurityIssue: boolean, isUsageOutlier: boolean, hasLicenseIssue: boolean, licenses: Array<string>, crowdSourcing: MCrowdSourcing, github: MGithub, osio: MOsio, action: string, needsExpansion: boolean, recommendation: MRecommendationInformation, isOpen: boolean, licenseInformation: MLicenseInformation, ecosystem: string, manifestFilePath?: string, workItem?: MWorkItem);
}
export declare class MStackLicenseConflictDetails {
    conflictedWithLicense: string;
    conflictedWithComponent: string;
    conflictedForLicense: string;
    constructor(conflictedWithLicense: string, conflictedWithComponent: string, conflictedForLicense: string);
}
export declare class MConflictsWithInLicenses {
    license1: string;
    license2: string;
    constructor(license1: string, license2: string);
}
export declare class MLicensesAffected {
    affectedLicenses: Array<MConflictsWithInLicenses>;
    conflictType: string;
    conflictDetails: Array<MStackLicenseConflictDetails>;
    constructor(affectedLicenses: Array<MConflictsWithInLicenses>, conflictType: string, conflictDetails?: Array<MStackLicenseConflictDetails>);
}
export declare class MRecommendationInformation {
    type: string;
    reason: string;
    feedback: MComponentFeedback;
    confidenceScore: MProgressMeter;
    componentInformation: MComponentInformation;
    manifestFilePath?: string;
    workItem: MWorkItem;
    constructor(type: string, // Alternate or companion
    reason: string, feedback: MComponentFeedback, confidenceScore: MProgressMeter, componentInformation: MComponentInformation, manifestFilePath?: string, workItem?: MWorkItem);
}
export declare class MComponentDetails {
    componentInformation: MComponentInformation;
    recommendationInformation: MRecommendationInformation;
    constructor(componentInformation?: MComponentInformation, recommendationInformation?: MRecommendationInformation);
}
export declare class MComponentHeaderColumn {
    identifier: string;
    text: string;
    className: string;
    isSortable: boolean;
    isDragable: boolean;
    constructor(identifier: string, text: string, className: string, isSortable?: boolean, isDragable?: boolean);
}
export declare class MReportInformation {
    identifier: string;
    name: string;
    type: string;
    headers: Array<MComponentHeaderColumn>;
    componentDetails: Array<MComponentDetails>;
    constructor(identifier: string, name: string, type: string, headers: Array<MComponentHeaderColumn>, componentDetails: Array<MComponentDetails>);
}
export declare class MCardDetails {
    title: string;
    titleDescription: string;
    isMultiple?: boolean;
    reportInformations: Array<MReportInformation>;
}
export declare class MGenericStackInformation {
    stackId: string;
    baseUrl: string;
    constructor(stackId: string, baseUrl: string);
}
export declare class MFeedbackTemplate {
    stack_id: string;
    recommendation_type: string;
    package_name: string;
    feedback_type: boolean;
    ecosystem: string;
    constructor(stack_id: string, recommendation_type: string, package_name: string, feedback_type: boolean, ecosystem: string);
}
export declare class MComponentFeedback {
    feedbackTemplate: MFeedbackTemplate;
    baseUrl: string;
    constructor(feedbackTemplate: MFeedbackTemplate, baseUrl: string);
}
/** Bottom Section */
